/**
 * Created by ZhongquanHe on 2019/04/29.
 */
import layout from '@/components/common/layout/layout'
import Home from '@/pages/home/index.vue'
import HomeDetailList from '@/pages/home/detailList'
import TestSkin from '@/pages/testSkin/index'
import TestSkinDetails from '@/pages/testSkin/details'
import TestSkinUpdate from '@/pages/testSkin/updates'
import CustomerMan from '@/pages/customerMan/index'
import CustomerManDetails from '@/pages/customerMan/details'
import HistoricalOrder from '@/pages/historicalOrder/index'
import HistoricalOrderDetails from '@/pages/historicalOrder/details'
import ConfirmOrder from '@/pages/confirmOrder/index'
import ConfirmOrderDetails from '@/pages/confirmOrder/details'
import ConfirmOrderAddOrder from '@/pages/confirmOrder/addOrder'
import StoreDetection from '@/pages/storeDetection/index'
import Coupon from '@/pages/coupon/index'
import projectOrder from '@/pages/customerMan/myOrder'
import payUser from '@/pages/payUser/index'
import payUserDetails from '@/pages/payUser/details/index'
import payUserOrder from '@/pages/payUser/myOrder/index'
import scheduling from '@/pages/scheduling/index'
import schedulingDetails from '@/pages/scheduling/details/index'
import orderCenter from '@/pages/orderCenter/orderCenter'
import productOrder from '@/pages/productOrder/index'
import productOrderDetails from '@/pages/productOrder/details/index'
import cardOrderDetails from '@/pages/cardOrder/details/index'
import cardOrder from '@/pages/cardOrder/index'
import rechargeOrder from '@/pages/rechargeOrder/index'
import revenueManage from '@/pages/revenueManage/index'
import revenueManageDetail from '@/pages/revenueManage/details'
import revenueManageCreateOrder from '@/pages/revenueManage/createOrder'
export default {
  path: '/layout',
  name: '首页',
  component: layout,
  children: [{
    path: '/home',
    component: Home
  },
  {
    name: '客户预约表',
    path: '/home/detailList',
    meta: {
      isback: true,
    },
    component: HomeDetailList
  },
  {
    path: '/testSkin',
    component: TestSkin
  },
  {
    path: '/testSkin/details',
    meta: {
      isback: true,
    },
    component: TestSkinDetails
  },
  {
    path: '/testSkin/updates',
    meta: {
      isback: true,
    },
    component: TestSkinUpdate
  },
  {
    path: '/customerMan',
    component: CustomerMan,
  },
  {
    path: '/customerMan/details',
    meta: {
      isback: true,
    },
    component: CustomerManDetails
  },
  {
    path: '/customerMan/projectOrder',
    meta: {
      isback: true,
    },
    component: projectOrder
  },
  {
    path: '/payUser',
    component: payUser,
    meta: {
      keepAlive: true
    }
  },
  {
    path: '/payUser/Details',
    meta: {
      isback: true,
    },
    component: payUserDetails,
  },
  {
    path: '/payUser/Order',
    meta: {
      isback: true,
    },
    component: payUserOrder,
  },
  {
    path: '/orderCenter/historicalOrder',
    meta: {
      isback: true,
    },
    component: HistoricalOrder
  },
  {
    path: '/historicalOrder/details',
    meta: {
      isback: true,
    },
    component: HistoricalOrderDetails
  },
  {
    path: '/confirmOrder',
    component: ConfirmOrder
  },
  {
    path: '/confirmOrder/details',
    meta: {
      isback: true,
    },
    component: ConfirmOrderDetails
  },
  {
    path: '/confirmOrder/addOrder',
    meta: {
      isback: true,
    },
    component: ConfirmOrderAddOrder
  },

  {
    path: '/storeDetection',
    component: StoreDetection
  },
  {
    path: '/coupon',
    component: Coupon
  },
  {
    path: '/scheduling',
    component: scheduling,
  },
  {
    path: '/schedulingDetail',
    component: schedulingDetails,
  },
  {
    path: '/orderCenter',
    component: orderCenter
  },
  {
    path: '/orderCenter/productOrder',
    component: productOrder,
    meta: {
      isback: true,
    },
  },
  {
    path: '/productOrder/details',
    component: productOrderDetails,
    meta: {
      isback: true,
    },
  },
  {
    path: '/orderCenter/cardOrder',
    component: cardOrder,
    meta: {
      isback: true,
    },
  },
  {
    path: '/cardOrder/details',
    component: cardOrderDetails,
    meta: {
      isback: true,
    },
  },
  {
    path: '/orderCenter/rechargeOrder',
    component: rechargeOrder,
    meta: {
      isback: true,
    },
  },
  {
    path: '/revenueManage',
    component: revenueManage,
  },
  {
    path: '/revenueManage/details',
    component: revenueManageDetail,
    meta: {
      isback: true,
    },
  },
  {
    path: '/revenueManage/createOrder',
    component: revenueManageCreateOrder,
    meta: {
      isback: true,
    },
  },
  ]
}